#!/bin/bash
mypath=${0%/*}
t=`cat /$mypath/a.txt`

showRadio "Funlight" "" "Мигание клавиатуры" "Клавиатура + мерцание экрана" "Отключить Funlight" "Установить время подсветки" "Настройка яркости экрана" "В Авторан п.1" "В авторан п.2" "Удалить из авторана" 
case "$?" in
1)
showQ "Funlight" "Включено. Время:$tсек" 2

kill `pid sleep`
kill `pidof on.sh`
kill `pidof on1.sh`
kill `pidof on2.sh`
kill `pidof off.sh`
kill `pidof getCall`
showNotify "Успешно" "Включено!" 0
$mypath/getCall $mypath/on.sh & $mypath/off.sh &
;;
2)
showQ "Клавиатура и экран" "Включено. Время:$tсек" 2

kill `pid sleep`
kill `pidof on.sh`
kill `pidof on1.sh`
kill `pidof on2.sh`
kill `pidof off.sh`
kill `pidof getCall`
showNotify "Успешно" "Включено!" 0
$mypath/getCall $mypath/on2.sh & $mypath/off.sh &
;;
3)
$mypath/end.sh
;;
4)
showNumber "Установить время мигания (в секундах)" 1 60  $t
g=$?
if [ "$g" = "0" ]
then
$mypath/load.sh
fi
echo $g > /$mypath/a.txt
showNotify "Успешно" "Время учтено" 0 2
$mypath/load.sh &
;;
5)
showNumber "Пожалуйста, выберите значение (рекомендуемое значение 5)" 1 10 5
h=$?
if [ "$h" = "0" ]
then
$mypath/load.sh &
fi
echo $h >/$mypath/b.txt
$mypath/setupBklightBrightness $h
showNotify "" "Изменения внесены" 0 2
$mypath/load.sh &
;;
6)
rm -f /ezxlocal/download/mystuff/unKnown/S30keyshining

if [ -f /mmc/mmca1/mpkgbox/incallshow/keyshining/getCall ]
then
echo "(sleep 30; /mmc/mmca1/mpkgbox/incallshow/keyshining/getCall "/mmc/mmca1/mpkgbox/incallshow/keyshining/on.sh" "/mmc/mmca1/mpkgbox/incallshow/keyshining/off.sh")&" > /ezxlocal/download/mystuff/unKnown/S30keyshining
		 else
		 echo "(sleep 30; /ezxlocal/download/mystuff/mpkgbox/incallshow/keyshining/getCall "/ezxlocal/download/mystuff/mpkgbox/incallshow/keyshining/on.sh" "/ezxlocal/download/mystuff/mpkgbox/incallshow/keyshining/off.sh")&" > /ezxlocal/download/mystuff/unKnown/S30keyshining
fi
showNotify "" "Запущено" 0 2
;;
7)
rm -f /ezxlocal/download/mystuff/unKnown/S30keyshining

if [ -f /mmc/mmca1/mpkgbox/incallshow/keyshining/getCall ]
then
echo "(sleep 30; /mmc/mmca1/mpkgbox/incallshow/keyshining/getCall "/mmc/mmca1/mpkgbox/incallshow/keyshining/on2.sh" "/mmc/mmca1/mpkgbox/incallshow/keyshining/off.sh")&" > /ezxlocal/download/mystuff/unKnown/S30keyshining
		 else
		 echo "(sleep 30; /ezxlocal/download/mystuff/mpkgbox/incallshow/keyshining/getCall "/ezxlocal/download/mystuff/mpkgbox/incallshow/keyshining/on2.sh" "/ezxlocal/download/mystuff/mpkgbox/incallshow/keyshining/off.sh")&" > /ezxlocal/download/mystuff/unKnown/S30keyshining
fi
showNotify "" "Запущено" 0 2
;;
8)
rm -f /ezxlocal/download/mystuff/unKnown/S30keyshining
showNotify "" "Удалено из авторана" 0 2
;; 
*)
exit 0
;;
esac